/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MANUALCIA                                                */
/* Tabela : MANUALCIA                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_MANUALCIA' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_MANUALCIA
GO

CREATE TRIGGER DTULTATU_MANUALCIA
ON MANUALCIA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'MANUALCIA', null, 'CDFILIAL='+ CDFILIAL+ ';'+
                                         'CDCIA='   + CDCIA   + ';'+
                                         'CDMANCIA='+ CDMANCIA+ ';' +';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE MANUALCIA
      SET DTULTATUMCIA = GETDATE()
      FROM INSERTED;
   END;
END;
GO

